VERSION 5.00
Begin VB.Form frmOpenFIle 
   Caption         =   "Error trapping Opening a File"
   ClientHeight    =   4455
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   5355
   LinkTopic       =   "Form1"
   ScaleHeight     =   4455
   ScaleWidth      =   5355
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox Text2 
      Height          =   375
      Left            =   120
      TabIndex        =   9
      Text            =   "*.*"
      Top             =   1320
      Width           =   1335
   End
   Begin VB.FileListBox File1 
      Height          =   1650
      Left            =   120
      TabIndex        =   7
      Top             =   1920
      Width           =   2295
   End
   Begin VB.CommandButton Command1 
      Caption         =   "&Open File"
      Height          =   495
      Left            =   120
      TabIndex        =   6
      Top             =   3900
      Width           =   1215
   End
   Begin VB.TextBox Text1 
      Height          =   375
      Left            =   120
      TabIndex        =   5
      Top             =   480
      Width           =   2055
   End
   Begin VB.DriveListBox drvDrive 
      Height          =   315
      Left            =   2760
      TabIndex        =   1
      Top             =   4080
      Width           =   2175
   End
   Begin VB.DirListBox dirDirectory 
      Height          =   3015
      Left            =   2760
      TabIndex        =   0
      Top             =   480
      Width           =   2055
   End
   Begin VB.Label lblTitle 
      Caption         =   "File Filter (*.*)"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Index           =   1
      Left            =   120
      TabIndex        =   8
      Top             =   960
      Width           =   1335
   End
   Begin VB.Label lblDirectory 
      Caption         =   "Directory:"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   2760
      TabIndex        =   4
      Top             =   120
      Width           =   2295
   End
   Begin VB.Label lblDrive 
      Caption         =   "Drive:"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   2760
      TabIndex        =   3
      Top             =   3720
      Width           =   1575
   End
   Begin VB.Label lblTitle 
      Caption         =   "File name:"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Index           =   0
      Left            =   120
      TabIndex        =   2
      Top             =   120
      Width           =   1335
   End
End
Attribute VB_Name = "frmOpenFIle"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit ' Force explicit variable declaration.
Dim sFileName As String
Dim MyIndex, FileNumber

    
        


Private Sub Command1_Click()
    Dim nErr As Integer
'Error handling to check that file exists
    
    On Error GoTo errortrap
    FileNumber = FreeFile   ' Get unused file handle
    Open sFileName For Input As #FileNumber
    
    Close #FileNumber 'since this is only an example we will close the file now
    Exit Sub 'if no errors encountered we exit the sub
        
    
errortrap: 'The error handler starts here
    Debug.Print Err.Number
    Debug.Print Err.Description
    
    nErr = MsgBox("Error Type " & Err.Description, vbAbortRetryIgnore, "System Error # " & Err.Number)
'    MsgBox nErr
    
    Select Case nErr
        Case vbAbort 'user selected abort
            End
        Case vbRetry 'user selected retry
            Resume
        Case vbIgnore 'user selected ingone
            Resume Next
    End Select

End Sub

Private Sub drvDrive_Change()
    Dim nErr As Integer
'Error handling to check that drive exists or is available
    On Error GoTo errortrap
    dirDirectory.Path = drvDrive.Drive
    Exit Sub
    
    
errortrap:
    Debug.Print Err.Number
    Debug.Print Err.Description
    
    nErr = MsgBox("Error Type " & Err.Description, vbAbortRetryIgnore, "System Error # " & Err.Number)
'    MsgBox nErr
    
    Select Case nErr
        Case vbAbort
            End
        Case vbRetry
            Resume
        Case vbIgnore
            Resume Next
    End Select
End Sub

Private Sub dirDirectory_Change()
'when a different directory/folder is selected
'update the file list by making it point to this path
    File1.Path = dirDirectory.Path
    
End Sub

Private Sub File1_Click() 'When the File name list changes/ is clicked
    Text1.Text = File1.filename 'the highlighted file is returned
    
End Sub

Private Sub Text2_Change()
    File1.Pattern = Text2.Text
        
End Sub
